(* This file is part of CodeTransformer - a tool for manipulating IDL and C++ files.
   Copyright (C) 1999 ANOQ of the Sun (alias Johnny Andersen)

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   I reserve the right to alter the license in future versions of CodeTransformer.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

   You can get this software from http://www.HardcoreProcessing.com/
   E-mail: anoq@HardcoreProcessing.com
*)

(*require "gnt.sml";
require "gndictionary.sml";
require "gnstringorder.sml";
require "gnexceptions.sml";
require "gnsimplesets.sml";*)

(* This is the main structure of the general library. It contains all the
   general modules - both utilities and user APIs, but NOT
   implementation details... *)
structure GN =
  struct
    structure T = gnT
    structure E = gnE
    structure StringOrder = gnStringOrder
    structure StringDict = gnFDictionary(StringOrder)
    structure SimpleSets = gnSimpleSets
  end